Skip to main content
`Ctrl`+`K`

# TSAdaptSetMaxIgnore

Set error estimation threshold. Solution components below this threshold value will not be considered when computing error norms for time step adaptivity (in absolute value). A negative value (default) of the threshold leads to considering all solution components.

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSAdaptSetMaxIgnore(TSAdapt adapt, PetscReal max_ignore)

Logically Collective

## Input Parameters

- adapt - adaptive controller context

- max_ignore - threshold for solution components that are ignored during error estimation

## Options Database Key

- -ts_adapt_max_ignore max_ignore - to set the threshold

## See Also

TS: Scalable ODE and DAE Solvers, Error control via variable time-stepping, `TSAdapt`, `TSAdaptGetMaxIgnore()`, `TSAdaptChoose()`

## Level

intermediate

## Location

src/ts/adapt/interface/tsadapt.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages